%define upstream_name    Catalyst-Plugin-AutoRestart
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catalyst plugin to restart server 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(MRO::Compat) >= 0.70.0
BuildRequires: perl(Proc::ProcessTable) >= 0.410.0
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildArch:  noarch

%description
Catalyst plugin to force the application to restart server processes when
they reach a configurable memory threshold. Memory checks are performed
every 'N' requests. This is intended as a band-aid to deal with problems
like memory leaks; it's here to buy you time to find and solve the
underlying issues.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 363968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.960.0-1.mga2
+ Revision: 179092
- update to 0.96

* Thu Jun 30 2011 jquelin <jquelin> 0.940.0-1.mga2
+ Revision: 116710
- imported package perl-Catalyst-Plugin-AutoRestart

